Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request GET \
--url https://v1.api.altostrat.io/content/bgp/policy \
--header 'Authorization: Bearer <token>'[
{
"id": "9b1d3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"name": "Block Known Threats",
"enabled": true,
"default": false,
"lists": [
"9b1e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
],
"site_count": 3,
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Retrieves a list of all BGP Threat Intelligence policies associated with your account.
curl --request GET \
--url https://v1.api.altostrat.io/content/bgp/policy \
--header 'Authorization: Bearer <token>'[
{
"id": "9b1d3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"name": "Block Known Threats",
"enabled": true,
"default": false,
"lists": [
"9b1e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
],
"site_count": 3,
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A list of BGP policies.
"9b1d3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"
"Block Known Threats"
true
True if this is the default policy for the account.
false
A list of BGP IP reputation list IDs included in this policy.
["9b1e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"]The number of sites currently using this policy.
3
Was this page helpful?